#! /usr/bin/env python

import sys
import unicodedata as ud

def main():
    inp = sys.stdin
    for ln in inp:
        if len(ln.strip()) == 0:
            print
        else:
            char,_ = ln.split()
            print ud.category(unichr(int(char)))

if __name__ == '__main__':
    main()
